> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/rpc-api-specification/eth_sendbundle.md).

# eth\_sendBundle

## POST /

> \
> Submits a bundle of signed transactions to be executed atomically in a specific target block.\
> \
> \*\*Note\*\*\
> \- Acceptance does not mean the bundle will be included on-chain.\
> \- Inclusion depends on profitability, builder policies, and competing orderflow.<br>

```json
{"openapi":"3.1.0","info":{"title":"api-docs","version":"0.1.0"},"servers":[{"url":"https://eth.novarpc.xyz","description":"Mainnet"},{"url":"https://base.novarpc.xyz","description":"Base"}],"paths":{"/":{"post":{"tags":["RPC"],"description":"\nSubmits a bundle of signed transactions to be executed atomically in a specific target block.\n\n**Note**\n- Acceptance does not mean the bundle will be included on-chain.\n- Inclusion depends on profitability, builder policies, and competing orderflow.\n","operationId":"eth_sendBundle","parameters":[{"name":"api_key","in":"query","required":true,"schema":{"type":"string"}},{"name":"nomevrecovery","in":"query","description":"When present, disables MEV recovery (backrunning) for this request.","required":false,"schema":{"type":"boolean","default":false}},{"name":"norefund","in":"query","description":"When present, broadcasts this order without requesting a priority-fee refund, which\nincreases the likelihood of inclusion.","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EthSendBundle"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderHash"}}}}}}}},"components":{"schemas":{"EthSendBundle":{"type":"object","required":["txs"],"properties":{"allowBackruns":{"type":["boolean","null"],"description":"If `false`, MEV recovery (backrunning) is disabled for this bundle. Defaults to your account setting."},"blockNumber":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/BlockNumber","description":"The block number for which the bundle is valid, encoded as a hexadecimal string. Defaults to the current block."}]},"txs":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"},"description":"An array of signed raw transactions to execute in an atomic bundle"}}},"BlockNumber":{"type":"string","pattern":"^0x[a-fA-F0-9]*$"},"Transaction":{"type":"string","description":"Raw transaction data, encoded as a hexadecimal string.","pattern":"^0x[a-fA-F0-9]*$"},"OrderHash":{"type":"string","pattern":"^0x[a-fA-F0-9]{64}$"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novarpc.xyz/rpc-api-specification/eth_sendbundle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
